Subject: bug#56345: 29.0.50; [PATCH] Add column hiding to tabulated-list

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 07 Sep 2022 14:42:27 +0200

Thuna <[email-masked]> writes:

> It's mostly a quality of life improvement.  Horizontal scrolling is a
> mess (or at least I can't manage it), and you don't always need to see
> all of the columns, so adding a way for the user to control it seemed
> reasonable.  Also, when you add a filtering mechanism to your
> `tabulated-list-entries' function, some columns can end up redundant,
> this would make it convenient to manage situations like that.  (I would
> know; that's why I wrote it)

OK, I can understand this as being used in a setup function -- but I
doubt that many users would want to interactively want to remove a
column from the current display.